## GetEditor **post** `/gitpod.v1.EditorService/GetEditor` Gets details about a specific editor. Use this method to: - View editor information - Get editor configuration ### Examples - Get editor details: Retrieves information about a specific editor. ```yaml id: "d2c94c27-3b76-4a42-b88c-95a85e392c68" ``` ### Body Parameters - `id: string` id is the ID of the editor to get ### Returns - `editor: Editor` editor contains the editor - `id: string` - `installationInstructions: string` - `name: string` - `urlTemplate: string` - `alias: optional string` - `iconUrl: optional string` - `shortDescription: optional string` - `versions: optional array of EditorVersion` versions contains the list of available versions for this editor - `version: string` version is the version string of the editor Examples for JetBrains: 2025.2 ### Example ```http curl https://app.gitpod.io/api/gitpod.v1.EditorService/GetEditor \ -H 'Content-Type: application/json' \ -H "Authorization: Bearer $GITPOD_API_KEY" \ -d '{ "id": "d2c94c27-3b76-4a42-b88c-95a85e392c68" }' ``` #### Response ```json { "editor": { "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e", "installationInstructions": "installationInstructions", "name": "name", "urlTemplate": "urlTemplate", "alias": "alias", "iconUrl": "iconUrl", "shortDescription": "shortDescription", "versions": [ { "version": "version" } ] } } ```